require "thor"
require "thor/group"
require "thor/actions"
require "yaml"
require "fileutils"
require "squarespace/sync/version"
require "squarespace/sync/connection"
require "squarespace/sync/cli"

module Squarespace
  module Sync
    def self.local_path
      Dir.pwd
    end

    def self.config
      File.join(local_path, "squarespace.yaml")
    end

    def self.options
      if File.exists? config
        options = YAML.load_file( config )
        options["ignore"] << "squarespace.yaml"
        Thor::CoreExt::HashWithIndifferentAccess.new( options )
      else
        abort "No config exists. Run `squarespace setup` to create it."
      end
    end
  end
end
